ST_FIND(3)

FUNCTION
st_find - Search a list of strings for a string.

SYNOPSIS
#include <karma_st.h>

unsigned int st_find

( CONST char **string_list, unsigned int list_length, CONST char *string, int (*function) () )

DESCRIPTION
Search a list of strings for a string.

string_list
    The list of strings to search.

list_length
    The length of the string list.

string
    The string to search for.

function
    The function to use for string comparisons. This has the same interface as the <<strcmp>> function.

RETURN VALUE
The index of the found string in the string list. If no match is found, the <<list_length>> is returned. The routine returns on the first match.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/